Installer - Feature #33863

Allow registration through content proxy via port 443
11/08/2021 05:04 AM - William Clark

Status: Closed

Priority: Normal
Assignee: William Clark
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/390,
https://github.com/theforeman/puppet-for
eman_proxy/pull/700,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/384,
https://github.com/theforeman/smart_pro
xy_pulp/pull/31

Description

Currently, context proxies are configured to proxy incoming requests to /rhsm over 8443 to the primary server. It is desired to listen
on 443 instead, to standardize the ports that are used between primary Katello server and content proxies.

Associated revisions

Revision 76e2a685 - 11/09/2021 01:14 AM - William Clark
Fixes #33863 - Allow registration through content proxy via port 443

History

#1 - 11/08/2021 05:06 AM - The Foreman Bot
- Status changed from New to Ready For Testing

#2 - 11/09/2021 01:15 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 11/09/2021 02:00 AM - William Clark
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|76e2a6852d1d2ca33935ccf8a6ab69992c¢32ec1d.

#4 - 11/09/2021 09:44 PM - William Clark
- Subject changed from Allow registration on content proxy over port 443 to Allow registration through content proxy via port 443

- Pull request https://github.com/theforeman/puppet-foreman_proxy content/pull/384 added

#5 - 11/09/2021 09:46 PM - William Clark
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/700 added

#6 - 11/09/2021 09:47 PM - William Clark
- Pull request https://github.com/theforeman/smart_proxy_pulp/pull/31 added
